<template>
  <v-container>
    <v-layout
      row
      wrap>
      <v-flex
        v-model="inputValue"
        xs12
        class="text-xs-center"
        mt-6>
        <h1>Welcome</h1>
      </v-flex>
      <v-flex
        xs12
        sm6
        offset-sm3
        mt-3>
        <blockquote class="text-xs-center">A basic web application
          <br>with Web3.js
          <br>
          status :
          <span
            v-if="isInjected === true"
            style="color:green">online</span>
          <span
            v-else
            style="color:grey">offline</span>
        </blockquote>
      </v-flex>
    </v-layout>
  </v-container>
</template>
<script>
import { mapState, mapGetters } from 'vuex'

export default {
  name: 'Home',
  data () {
    return {

    }
  },
  computed: {
    ...mapGetters('web3', ['isInjected']),
    ...mapState('app', ['image', 'color']),
    inputValue: {
      get () {
        return this.$store.state.app.drawer
      },
      set (val) {
        this.setDrawer(val)
      }
    }
  },
  async created () {
    await this.$store.dispatch('web3/connectToWeb3')
    await this.$store.dispatch('web3/setContract')
  }
}
</script>

<style scoped>
</style>
